Package dev.plex.event

# Class AdminSetRankEvent

java.lang.Object
org.bukkit.event.Event
dev.plex.event.AdminSetRankEvent

public class AdminSetRankEvent extends org.bukkit.event.Event
Event that is run when an admins rank is set

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`org.bukkit.event.Event.Result`

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final org.bukkit.event.HandlerList`
`handlers`
`private final PlexPlayer`
`plexPlayer`
The PlexPlayer that was removed
`private final Rank`
`rank`
The rank the player was set to
`private final org.bukkit.command.CommandSender`
`sender`
The sender who added the player

## Constructor Summary

Constructors
Constructor
Description
`AdminSetRankEvent()`

## Method Summary

Modifier and Type
Method
Description
`static org.bukkit.event.HandlerList`
`getHandlerList()`
`org.bukkit.event.HandlerList`
`getHandlers()`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### handlers

private static final org.bukkit.event.HandlerList handlers

### sender

private final org.bukkit.command.CommandSender sender
The sender who added the player

### plexPlayer

private final PlexPlayer plexPlayer
The PlexPlayer that was removed

### rank

private final Rank rank
The rank the player was set to

## Constructor Details

### AdminSetRankEvent

public AdminSetRankEvent()

## Method Details

### getHandlerList

public static org.bukkit.event.HandlerList getHandlerList()

### getHandlers

public org.bukkit.event.HandlerList getHandlers()

Specified by:
  `getHandlers` in class `org.bukkit.event.Event`